Esc

↑↓ move↵ openIndex · Pagefind
REST reference · Project Management

Punch List

53 endpoints32 implementedAll modules →
  1. GET /rest/v1.0/projects/{project_id}/available_punch_item_managersList Punch List Manager options
  2. GET /rest/v1.0/projects/{project_id}/punch_item_assignments/{id}Show Punch Assignment
  3. PATCH /rest/v1.0/projects/{project_id}/punch_item_assignments/{id}Update Punch Item Assignment
  4. GET /rest/v1.0/projects/{project_id}/punch_item_templatesList Project Punch Item Templates
  5. POST /rest/v1.0/projects/{project_id}/punch_item_templatesCreate a Project Punch Item Template
  6. GET /rest/v1.0/projects/{project_id}/punch_item_templates/{id}Show a Project Punch Item Template
  7. PATCH /rest/v1.0/projects/{project_id}/punch_item_templates/{id}Update a Project Punch Item Template
  8. DELETE /rest/v1.0/projects/{project_id}/punch_item_templates/{id}Delete a Project Punch Item Template
  9. POST /rest/v1.0/projects/{project_id}/punch_item_templates/{id}/create_punch_itemCreate a Punch Item from a Template
  10. GET /rest/v1.0/projects/{project_id}/punch_list_assignee_optionsList Punch List Assignee options
  11. GET /rest/v1.0/projects/{project_id}/punch_list_read_user_optionsList Punch List Read User options
  12. GET /rest/v1.0/projects/{project_id}/punch_list/assigneesList of Punch List Assignee Filter Options
  13. GET /rest/v1.0/projects/{project_id}/punch_list/available_final_approversPunch List Available Final Approvers
  14. GET /rest/v1.0/projects/{project_id}/punch_list/vendorsList of Punch List Vendor Filter Options
  15. GET /rest/v1.0/punch_item_typesList punch item types
  16. POST /rest/v1.0/punch_item_typesCreate Punch Item Type
  17. GET /rest/v1.0/punch_item_types/{id}Show Punch Item Type
  18. PATCH /rest/v1.0/punch_item_types/{id}Update Punch Item type
  19. DELETE /rest/v1.0/punch_item_types/{id}Delete Punch Item Type
  20. GET /rest/v1.0/punch_itemsList Punch Items
  21. POST /rest/v1.0/punch_itemsCreate Punch Item
  22. GET /rest/v1.0/punch_items/{id}Show Punch Item
  23. PATCH /rest/v1.0/punch_items/{id}Update Punch Item
  24. DELETE /rest/v1.0/punch_items/{id}Delete Punch Item
  25. GET /rest/v1.0/punch_items/{id}/activitiesList Punch Item Activities
  26. POST /rest/v1.0/punch_items/{id}/commentsCreate Punch Item Comment
  27. POST /rest/v1.0/punch_items/{id}/send_emailSend Punch Item Email
  28. POST /rest/v1.0/punch_items/add_punch_item_attachmentsAdd Attachments to Punch Item
  29. GET /rest/v1.0/punch_items/recycle_binList Deleted Punch Items
  30. POST /rest/v1.0/punch_items/send_all_unsentSend All Unsent Punch Item Emails
  31. POST /rest/v1.0/punch_items/send_unsentSend unsent Punch Items
  32. GET /rest/v1.0/punch_list/default_distributionList Punch Item Default Distribution List
  33. GET /rest/v1.1/punch_itemsList Punch Items
  34. POST /rest/v1.1/punch_itemsCreate Punch Item
  35. GET /rest/v1.1/punch_items/{id}Show Punch Item
  36. PATCH /rest/v1.1/punch_items/{id}Update Punch Item
  37. DELETE /rest/v1.1/punch_items/{id}Delete Punch Item
  38. POST /rest/v1.1/punch_items/{id}/send_emailSend Punch Item Email
  39. POST /rest/v1.1/punch_items/add_punch_item_attachmentsAdd Attachments to Punch Item
  40. GET /rest/v1.1/punch_items/recycle_binList Deleted Punch Items
  41. POST /rest/v1.1/punch_items/send_all_unsentSend All Unsent Punch Item Emails
  42. POST /rest/v1.1/punch_items/send_unsentSend unsent Punch Items
  43. GET /rest/v2.0/companies/{company_id}/projects/{project_id}/punch_list/assignee_companiesList Punch Item Assignee Company Filter Options
  44. GET /rest/v2.0/companies/{company_id}/projects/{project_id}/punch_list/assigneesList Punch Item Assignee Filter Options
  45. GET /rest/v2.0/companies/{company_id}/projects/{project_id}/punch_list/ball_in_courtList Punch Item Ball In Court Filter Options
  46. GET /rest/v2.0/companies/{company_id}/projects/{project_id}/punch_list/categoriesList Punch Item Category Filter Options
  47. GET /rest/v2.0/companies/{company_id}/projects/{project_id}/punch_list/closed_by_contactsList Punch Item Closed By Contact Filter Options
  48. GET /rest/v2.0/companies/{company_id}/projects/{project_id}/punch_list/creatorsList Punch Item Creator Filter Options
  49. GET /rest/v2.0/companies/{company_id}/projects/{project_id}/punch_list/final_approversList Punch Item Final Approver Filter Options
  50. GET /rest/v2.0/companies/{company_id}/projects/{project_id}/punch_list/locationsList Punch Item Location Filter Options
  51. GET /rest/v2.0/companies/{company_id}/projects/{project_id}/punch_list/punch_item_managersList Punch Item Manager Filter Options
  52. GET /rest/v2.0/companies/{company_id}/projects/{project_id}/punch_list/tradesList Punch Item Trade Filter Options
  53. GET /rest/v2.0/companies/{company_id}/projects/{project_id}/punch_list/typesList Punch Item Type Filter Options
GET /rest/v1.0/projects/{project_id}/available_punch_item_managers

List Punch List Manager options

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • page
    integerquery
  • per_page
    integerquery
  • query
    stringquery

Response · 200 · object[]

  • id
    integer
  • login
    string
  • name
    string
GET /rest/v1.0/projects/{project_id}/punch_item_assignments/{id}

Show Punch Assignment

v1.0Documented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • id
    integerpathrequired
  • project_id
    integerpathrequired

Response · 200 · object

  • id
    integer
  • approved
    boolean
  • status
    string
  • name
    string
  • comment
    string
  • login_information_id
    integer
  • login_information_name
    string
  • login_information
    object
  • attachments
    object[]
  • vendor
    object
  • notified_at
    string
  • responded_at
    string
  • manager_accepted_at
    string
  • user_name
    string
  • updated_at
    string
PATCH /rest/v1.0/projects/{project_id}/punch_item_assignments/{id}

Update Punch Item Assignment

v1.0Documented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • id
    integerpathrequired
  • project_id
    integerpathrequired

Request body

  • send_emails
    string
  • punch_item_assignment
    objectrequired

Response · 200 · object

  • id
    integer
  • approved
    boolean
  • status
    string
  • name
    string
  • comment
    string
  • login_information_id
    integer
  • login_information_name
    string
  • login_information
    object
  • attachments
    object[]
  • vendor
    object
  • notified_at
    string
  • responded_at
    string
  • manager_accepted_at
    string
  • user_name
    string
  • updated_at
    string
GET /rest/v1.0/projects/{project_id}/punch_item_templates

List Project Punch Item Templates

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • filters[id]
    integer[]query
  • filters[active]
    booleanquery
  • filters[updated_at]
    stringquery
  • page
    integerquery
  • per_page
    integerquery

Response · 200 · object[]

  • id
    integerrequired
  • active
    booleanrequired
  • company_punch_item_template_id
    integer
  • name
    stringrequired
  • project_id
    integer
  • updated_at
    string (date-time)
  • punch_item_manager
    object
  • final_approver
    object
  • template_category
    object
  • assignee
    object
  • trade
    object
  • priority
    string
  • distribution_member_ids
    integer[]
  • created_at
    string (date-time)
POST /rest/v1.0/projects/{project_id}/punch_item_templates

Create a Project Punch Item Template

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • filters[id]
    integer[]query
  • filters[active]
    booleanquery
  • filters[updated_at]
    stringquery

Request body

  • project_id
    integer
  • punch_item_template
    objectrequired

Response · 201 · object

  • id
    integerrequired
  • active
    booleanrequired
  • company_punch_item_template_id
    integer
  • name
    stringrequired
  • project_id
    integer
  • updated_at
    string (date-time)
  • punch_item_manager
    object
  • final_approver
    object
  • template_category
    object
  • assignee
    object
  • trade
    object
  • priority
    string
  • distribution_member_ids
    integer[]
  • created_at
    string (date-time)
GET /rest/v1.0/projects/{project_id}/punch_item_templates/{id}

Show a Project Punch Item Template

v1.0Implemented

Parameters

  • project_id
    integerpathrequired
  • id
    integerpathrequired

Response · 200 · object

  • id
    integerrequired
  • active
    booleanrequired
  • company_punch_item_template_id
    integer
  • name
    stringrequired
  • project_id
    integer
  • updated_at
    string (date-time)
  • punch_item_manager
    object
  • final_approver
    object
  • template_category
    object
  • assignee
    object
  • trade
    object
  • priority
    string
  • distribution_member_ids
    integer[]
  • created_at
    string (date-time)
PATCH /rest/v1.0/projects/{project_id}/punch_item_templates/{id}

Update a Project Punch Item Template

v1.0Implemented

Parameters

  • project_id
    integerpathrequired
  • id
    integerpathrequired

Request body

  • project_id
    integer
  • punch_item_template
    objectrequired

Response · 200 · object

  • id
    integerrequired
  • active
    booleanrequired
  • company_punch_item_template_id
    integer
  • name
    stringrequired
  • project_id
    integer
  • updated_at
    string (date-time)
  • punch_item_manager
    object
  • final_approver
    object
  • template_category
    object
  • assignee
    object
  • trade
    object
  • priority
    string
  • distribution_member_ids
    integer[]
  • created_at
    string (date-time)
DELETE /rest/v1.0/projects/{project_id}/punch_item_templates/{id}

Delete a Project Punch Item Template

v1.0Implemented

Parameters

  • project_id
    integerpathrequired
  • id
    integerpathrequired

Response · 204

No response body.

POST /rest/v1.0/projects/{project_id}/punch_item_templates/{id}/create_punch_item

Create a Punch Item from a Template

v1.0Implemented

Parameters

  • project_id
    integerpathrequired
  • id
    integerpathrequired

Request body

  • project_id
    integer
  • punch_item
    object

Response · 201 · object

  • id
    integer
  • ball_in_court
    object[]
  • comments
    object[]
  • created_at
    string (date-time)
  • closed_at
    string (date-time)
  • deleted_at
    string (date-time)
  • due_date
    string (date)
  • name
    string
  • schedule_risk
    string
  • schedule_risk_reason
    string
  • position
    integer
  • priority
    string
  • private
    boolean
  • status
    string
  • updated_at
    string (date-time)
  • date_initiated
    string (date)
  • schedule_impact
    string
  • schedule_impact_days
    integer
  • reference
    string
  • cost_impact
    string
  • cost_impact_amount
    integer
  • can_email
    boolean
  • drawing_ids
    integer[]
  • current_drawing_revision_ids
    integer[]
  • distribution_members
    object[]
  • location
    object
  • trade
    object
  • created_by
    object
  • closed_by
    object
  • punch_item_manager
    object
  • final_approver
    object
  • punch_item_type
    object
  • category
    object
  • cost_code
    object
  • assignments
    object[]
  • rich_text_description
    string
  • attachments
    object[]
  • images
    object[]
  • web_images
    object[]
  • workflow_status
    string
  • custom_status
    object
  • download_all_attachments_uuid
    string
  • custom_fields
    object
GET /rest/v1.0/projects/{project_id}/punch_list_assignee_options

List Punch List Assignee options

v1.0Documented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • page
    integerquery
  • per_page
    integerquery
  • query
    stringquery

Response · 200 · object[]

  • id
    integer
  • login
    string
  • name
    string
GET /rest/v1.0/projects/{project_id}/punch_list_read_user_options

List Punch List Read User options

v1.0Documented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • page
    integerquery
  • per_page
    integerquery
  • filters[search]
    stringquery

Response · 200 · object[]

  • id
    integer
  • login
    string
  • name
    string
  • locale
    string
  • company_name
    string
GET /rest/v1.0/projects/{project_id}/punch_list/assignees

List of Punch List Assignee Filter Options

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired

Response · 200 · object

  • id
    integer
  • name
    string
GET /rest/v1.0/projects/{project_id}/punch_list/available_final_approvers

Punch List Available Final Approvers

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired
  • page
    integerquery
  • per_page
    integerquery
  • query
    stringquery

Response · 200 · object[]

  • id
    integer
  • login
    string
  • name
    string
  • company_name
    string
GET /rest/v1.0/projects/{project_id}/punch_list/vendors

List of Punch List Vendor Filter Options

v1.0Documented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerpathrequired

Response · 200 · object

  • id
    integer
  • name
    string
GET /rest/v1.0/punch_item_types

List punch item types

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerqueryrequired
  • page
    integerquery
  • per_page
    integerquery
  • sort
    stringquery
  • filters[name]
    string[]query

Response · 200 · object[]

  • id
    integer
  • name
    string
  • created_at
    string (date-time)
  • updated_at
    string (date-time)
POST /rest/v1.0/punch_item_types

Create Punch Item Type

v1.0Documented

Parameters

  • OS-Company-Id
    integerheaderrequired

Request body

  • project_id
    integerrequired
  • punch_item_type
    objectrequired

Response · 201 · object

  • id
    integer
  • name
    string
  • created_at
    string (date-time)
  • updated_at
    string (date-time)
GET /rest/v1.0/punch_item_types/{id}

Show Punch Item Type

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • id
    integerpathrequired
  • project_id
    integerqueryrequired

Response · 200 · object

  • id
    integer
  • name
    string
  • created_at
    string (date-time)
  • updated_at
    string (date-time)
PATCH /rest/v1.0/punch_item_types/{id}

Update Punch Item type

v1.0Documented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • id
    integerpathrequired

Request body

  • project_id
    integerrequired
  • punch_item_type
    objectrequired

Response · 201 · object

  • id
    integer
  • name
    string
  • created_at
    string (date-time)
  • updated_at
    string (date-time)
DELETE /rest/v1.0/punch_item_types/{id}

Delete Punch Item Type

v1.0Documented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • id
    integerpathrequired
  • project_id
    integerqueryrequired

Response · 200

No response body.

GET /rest/v1.0/punch_items

List Punch Items

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerqueryrequired
  • page
    integerquery
  • per_page
    integerquery
  • filters[status]
    stringquery
  • filters[priority]
    stringquery
  • filters[punch_item_type_id]
    integerquery
  • filters[location_id]
    integer[]query
  • filters[include_sublocations]
    booleanquery
  • filters[approver_login_information_id]
    integerquery
  • filters[vendor_id]
    integerquery
  • filters[assignee_response]
    booleanquery
  • filters[trade_id]
    integerquery
  • filters[category_id]
    string[]query
  • sort
    stringquery
  • filters[id]
    integer[]query
  • filters[query]
    stringquery
  • filters[view]
    stringquery
  • filters[updated_at]
    string (date)query
  • filters[closed_at][]
    string (date)[]query
  • filters[created_at][]
    string (date)[]query
  • filters[date_notified][]
    string (date)[]query
  • filters[due_date][]
    string (date)[]query
  • filters[failed_items_by_operation_id]
    integerquery
  • filters[error_category]
    string | string[]query

Response · 200 · object[]

  • id
    integer
  • ball_in_court
    object[]
  • closed_at
    string (date-time)
  • cost_impact
    string
  • cost_impact_amount
    string
  • created_at
    string (date-time)
  • deleted_at
    string (date-time)
  • due_date
    string (date)
  • name
    string
  • reference
    string
  • schedule_impact
    string
  • schedule_impact_days
    integer
  • schedule_risk
    string
  • schedule_risk_reason
    string
  • schedule_risk_confidence
    integer
  • schedule_risk_probability
    integer
  • position
    integer
  • priority
    string
  • private
    boolean
  • status
    string
  • has_resolved_responses
    boolean
  • has_unresolved_responses
    boolean
  • updated_at
    string (date-time)
  • location
    object
  • trade
    object
  • created_by
    object
  • closed_by
    object
  • punch_item_manager
    object
  • final_approver
    object
  • punch_item_type
    object
  • category
    object
  • cost_code
    object
  • assignments
    object[]
  • assignees
    object[]
  • latitude
    string
  • longitude
    string
  • horizontal_accuracy
    string
  • vertical_accuracy
    string
  • altitude
    string
  • workflow_status
    string
  • custom_status_id
    integer
  • custom_status
    object
  • custom_fields
    object
POST /rest/v1.0/punch_items

Create Punch Item

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • run_configurable_validations
    booleanquery

Request body

  • project_id
    integerrequired
  • punch_item
    objectrequired

Response · 201 · object

  • id
    integer
  • ball_in_court
    object[]
  • comments
    object[]
  • created_at
    string (date-time)
  • closed_at
    string (date-time)
  • deleted_at
    string (date-time)
  • due_date
    string (date)
  • name
    string
  • schedule_risk
    string
  • schedule_risk_reason
    string
  • position
    integer
  • priority
    string
  • private
    boolean
  • status
    string
  • updated_at
    string (date-time)
  • date_initiated
    string (date)
  • schedule_impact
    string
  • schedule_impact_days
    integer
  • reference
    string
  • cost_impact
    string
  • cost_impact_amount
    integer
  • can_email
    boolean
  • drawing_ids
    integer[]
  • current_drawing_revision_ids
    integer[]
  • distribution_members
    object[]
  • location
    object
  • trade
    object
  • created_by
    object
  • closed_by
    object
  • punch_item_manager
    object
  • final_approver
    object
  • punch_item_type
    object
  • category
    object
  • cost_code
    object
  • assignments
    object[]
  • rich_text_description
    string
  • attachments
    object[]
  • images
    object[]
  • web_images
    object[]
  • workflow_status
    string
  • custom_status
    object
  • download_all_attachments_uuid
    string
  • custom_fields
    object
GET /rest/v1.0/punch_items/{id}

Show Punch Item

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • id
    integerpathrequired
  • project_id
    integerqueryrequired
  • include_deleted
    booleanquery

Response · 200 · object

  • id
    integer
  • ball_in_court
    object[]
  • comments
    object[]
  • created_at
    string (date-time)
  • closed_at
    string (date-time)
  • deleted_at
    string (date-time)
  • due_date
    string (date)
  • name
    string
  • schedule_risk
    string
  • schedule_risk_reason
    string
  • position
    integer
  • priority
    string
  • private
    boolean
  • status
    string
  • updated_at
    string (date-time)
  • date_initiated
    string (date)
  • schedule_impact
    string
  • schedule_impact_days
    integer
  • reference
    string
  • cost_impact
    string
  • cost_impact_amount
    integer
  • can_email
    boolean
  • drawing_ids
    integer[]
  • current_drawing_revision_ids
    integer[]
  • distribution_members
    object[]
  • location
    object
  • trade
    object
  • created_by
    object
  • closed_by
    object
  • punch_item_manager
    object
  • final_approver
    object
  • punch_item_type
    object
  • category
    object
  • cost_code
    object
  • assignments
    object[]
  • rich_text_description
    string
  • attachments
    object[]
  • images
    object[]
  • web_images
    object[]
  • workflow_status
    string
  • custom_status
    object
  • download_all_attachments_uuid
    string
  • custom_fields
    object
PATCH /rest/v1.0/punch_items/{id}

Update Punch Item

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • id
    integerpathrequired
  • run_configurable_validations
    booleanquery

Request body

  • project_id
    integerrequired
  • punch_item
    objectrequired

Response · 200 · object

  • id
    integer
  • ball_in_court
    object[]
  • comments
    object[]
  • created_at
    string (date-time)
  • closed_at
    string (date-time)
  • deleted_at
    string (date-time)
  • due_date
    string (date)
  • name
    string
  • schedule_risk
    string
  • schedule_risk_reason
    string
  • position
    integer
  • priority
    string
  • private
    boolean
  • status
    string
  • updated_at
    string (date-time)
  • date_initiated
    string (date)
  • schedule_impact
    string
  • schedule_impact_days
    integer
  • reference
    string
  • cost_impact
    string
  • cost_impact_amount
    integer
  • can_email
    boolean
  • drawing_ids
    integer[]
  • current_drawing_revision_ids
    integer[]
  • distribution_members
    object[]
  • location
    object
  • trade
    object
  • created_by
    object
  • closed_by
    object
  • punch_item_manager
    object
  • final_approver
    object
  • punch_item_type
    object
  • category
    object
  • cost_code
    object
  • assignments
    object[]
  • rich_text_description
    string
  • attachments
    object[]
  • images
    object[]
  • web_images
    object[]
  • workflow_status
    string
  • custom_status
    object
  • download_all_attachments_uuid
    string
  • custom_fields
    object
DELETE /rest/v1.0/punch_items/{id}

Delete Punch Item

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • id
    integerpathrequired
  • project_id
    integerqueryrequired

Response · 200

No response body.

GET /rest/v1.0/punch_items/{id}/activities

List Punch Item Activities

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • id
    integerpathrequired
  • project_id
    integerqueryrequired

Response · 200 · object[]

  • id
    integer
  • assignee
    object
  • attachments
    object[]
  • comment
    string
  • created_at
    string
  • created_by
    object
  • global_status
    object
  • status
    string
  • type
    string
  • updated_at
    string
POST /rest/v1.0/punch_items/{id}/comments

Create Punch Item Comment

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • id
    integerpathrequired
  • project_id
    integerqueryrequired

Request body

  • comment
    objectrequired
  • attachments
    string[]

Response · 201 · object

  • id
    integer
  • attachments
    object[]
  • body
    string
  • created_at
    string
  • created_by
    object
  • type
    string
POST /rest/v1.0/punch_items/{id}/send_email

Send Punch Item Email

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • id
    integerpathrequired

Request body

  • subject
    string
  • body
    string
  • distribution_ids
    integer[]
  • cc_distribution_ids
    integer[]
  • bcc_distribution_ids
    integer[]

Response · 200 · any

No documented fields.

POST /rest/v1.0/punch_items/add_punch_item_attachments

Add Attachments to Punch Item

v1.0Documented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • id
    integerqueryrequired
  • project_id
    integerqueryrequired

Request body

  • attachments
    string[]

Response · 200 · object

  • id
    integer
  • name
    string
  • url
    string
  • filename
    string
GET /rest/v1.0/punch_items/recycle_bin

List Deleted Punch Items

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerqueryrequired
  • page
    integerquery
  • per_page
    integerquery
  • filters[status]
    stringquery
  • filters[priority]
    stringquery
  • filters[punch_item_type_id]
    integerquery
  • filters[location_id]
    integer[]query
  • filters[include_sublocations]
    booleanquery
  • filters[approver_login_information_id]
    integerquery
  • filters[vendor_id]
    integerquery
  • filters[assignee_response]
    booleanquery
  • filters[trade_id]
    integerquery
  • filters[category_id]
    string[]query
  • sort
    stringquery
  • filters[id]
    integer[]query
  • filters[query]
    stringquery

Response · 200 · object

  • id
    integer
  • ball_in_court
    object[]
  • closed_at
    string (date-time)
  • cost_impact
    string
  • cost_impact_amount
    string
  • created_at
    string (date-time)
  • deleted_at
    string (date-time)
  • due_date
    string (date)
  • name
    string
  • reference
    string
  • schedule_impact
    string
  • schedule_impact_days
    integer
  • schedule_risk
    string
  • schedule_risk_reason
    string
  • schedule_risk_confidence
    integer
  • schedule_risk_probability
    integer
  • position
    integer
  • priority
    string
  • private
    boolean
  • status
    string
  • has_resolved_responses
    boolean
  • has_unresolved_responses
    boolean
  • updated_at
    string (date-time)
  • location
    object
  • trade
    object
  • created_by
    object
  • closed_by
    object
  • punch_item_manager
    object
  • final_approver
    object
  • punch_item_type
    object
  • category
    object
  • cost_code
    object
  • assignments
    object[]
  • assignees
    object[]
  • latitude
    string
  • longitude
    string
  • horizontal_accuracy
    string
  • vertical_accuracy
    string
  • altitude
    string
  • workflow_status
    string
  • custom_status_id
    integer
  • custom_status
    object
  • custom_fields
    object
POST /rest/v1.0/punch_items/send_all_unsent

Send All Unsent Punch Item Emails

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerqueryrequired

Request body

  • punch_ids
    integer[]
  • recipient
    string

Response · 200 · any

No documented fields.

POST /rest/v1.0/punch_items/send_unsent

Send unsent Punch Items

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired

Request body

  • project_id
    integerrequired

Response · 200

No response body.

GET /rest/v1.0/punch_list/default_distribution

List Punch Item Default Distribution List

v1.0Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerqueryrequired
  • page
    integerquery
  • per_page
    integerquery

Response · 200 · object[]

  • id
    integer
  • login
    string
  • name
    string
GET /rest/v1.1/punch_items

List Punch Items

v1.1Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerqueryrequired
  • page
    integerquery
  • per_page
    integerquery
  • filters[status]
    stringquery
  • filters[priority]
    stringquery
  • filters[punch_item_type_id]
    integerquery
  • filters[location_id]
    integer[]query
  • filters[include_sublocations]
    booleanquery
  • filters[approver_login_information_id]
    integerquery
  • filters[vendor_id]
    integerquery
  • filters[assignee_response]
    booleanquery
  • filters[trade_id]
    integerquery
  • filters[category_id]
    string[]query
  • sort
    stringquery
  • filters[id]
    integer[]query
  • filters[query]
    stringquery
  • filters[updated_at]
    string (date)query
  • filters[failed_items_by_operation_id]
    integerquery
  • filters[error_category]
    string | string[]query

Response · 200 · object[]

  • id
    integer
  • ball_in_court
    object[]
  • closed_at
    string (date-time)
  • cost_impact
    string
  • cost_impact_amount
    string
  • created_at
    string (date-time)
  • deleted_at
    string (date-time)
  • due_date
    string (date)
  • name
    string
  • reference
    string
  • schedule_impact
    string
  • schedule_impact_days
    integer
  • schedule_risk
    string
  • schedule_risk_reason
    string
  • schedule_risk_confidence
    integer
  • schedule_risk_probability
    integer
  • position
    integer
  • priority
    string
  • private
    boolean
  • status
    string
  • has_resolved_responses
    boolean
  • has_unresolved_responses
    boolean
  • updated_at
    string (date-time)
  • location
    object
  • trade
    object
  • created_by
    object
  • closed_by
    object
  • punch_item_manager
    object
  • final_approver
    object
  • punch_item_type
    object
  • category
    object
  • cost_code
    object
  • assignments
    object[]
  • assignees
    object[]
  • workflow_status
    string
  • custom_status_id
    integer
  • custom_status
    object
  • custom_fields
    object
POST /rest/v1.1/punch_items

Create Punch Item

v1.1Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • run_configurable_validations
    booleanquery

Request body

  • project_id
    integerrequired
  • punch_item
    objectrequired

Response · 201 · object

  • id
    integer
  • ball_in_court
    object[]
  • comments
    object[]
  • created_at
    string (date-time)
  • closed_at
    string (date-time)
  • deleted_at
    string (date-time)
  • due_date
    string (date)
  • name
    string
  • schedule_risk
    string
  • schedule_risk_reason
    string
  • position
    integer
  • priority
    string
  • private
    boolean
  • status
    string
  • updated_at
    string (date-time)
  • date_initiated
    string (date)
  • schedule_impact
    string
  • schedule_impact_days
    integer
  • reference
    string
  • cost_impact
    string
  • cost_impact_amount
    integer
  • can_email
    boolean
  • drawing_ids
    integer[]
  • current_drawing_revision_ids
    integer[]
  • distribution_members
    object[]
  • location
    object
  • trade
    object
  • created_by
    object
  • closed_by
    object
  • punch_item_manager
    object
  • final_approver
    object
  • punch_item_type
    object
  • category
    object
  • cost_code
    object
  • assignments
    object[]
  • rich_text_description
    string
  • attachments
    object[]
  • images
    object[]
  • web_images
    object[]
  • workflow_status
    string
  • custom_status
    object
  • download_all_attachments_uuid
    string
  • custom_fields
    object
GET /rest/v1.1/punch_items/{id}

Show Punch Item

v1.1Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • id
    integerpathrequired
  • project_id
    integerqueryrequired
  • include_deleted
    booleanquery

Response · 200 · object

  • id
    integer
  • ball_in_court
    object[]
  • comments
    object[]
  • created_at
    string (date-time)
  • closed_at
    string (date-time)
  • deleted_at
    string (date-time)
  • due_date
    string (date)
  • name
    string
  • schedule_risk
    string
  • schedule_risk_reason
    string
  • position
    integer
  • priority
    string
  • private
    boolean
  • status
    string
  • updated_at
    string (date-time)
  • date_initiated
    string (date)
  • schedule_impact
    string
  • schedule_impact_days
    integer
  • reference
    string
  • cost_impact
    string
  • cost_impact_amount
    integer
  • can_email
    boolean
  • drawing_ids
    integer[]
  • current_drawing_revision_ids
    integer[]
  • distribution_members
    object[]
  • location
    object
  • trade
    object
  • created_by
    object
  • closed_by
    object
  • punch_item_manager
    object
  • final_approver
    object
  • punch_item_type
    object
  • category
    object
  • cost_code
    object
  • assignments
    object[]
  • rich_text_description
    string
  • attachments
    object[]
  • images
    object[]
  • web_images
    object[]
  • workflow_status
    string
  • custom_status
    object
  • download_all_attachments_uuid
    string
  • custom_fields
    object
PATCH /rest/v1.1/punch_items/{id}

Update Punch Item

v1.1Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • id
    integerpathrequired
  • run_configurable_validations
    booleanquery

Request body

  • project_id
    integerrequired
  • punch_item
    objectrequired

Response · 200 · object

  • id
    integer
  • ball_in_court
    object[]
  • comments
    object[]
  • created_at
    string (date-time)
  • closed_at
    string (date-time)
  • deleted_at
    string (date-time)
  • due_date
    string (date)
  • name
    string
  • schedule_risk
    string
  • schedule_risk_reason
    string
  • position
    integer
  • priority
    string
  • private
    boolean
  • status
    string
  • updated_at
    string (date-time)
  • date_initiated
    string (date)
  • schedule_impact
    string
  • schedule_impact_days
    integer
  • reference
    string
  • cost_impact
    string
  • cost_impact_amount
    integer
  • can_email
    boolean
  • drawing_ids
    integer[]
  • current_drawing_revision_ids
    integer[]
  • distribution_members
    object[]
  • location
    object
  • trade
    object
  • created_by
    object
  • closed_by
    object
  • punch_item_manager
    object
  • final_approver
    object
  • punch_item_type
    object
  • category
    object
  • cost_code
    object
  • assignments
    object[]
  • rich_text_description
    string
  • attachments
    object[]
  • images
    object[]
  • web_images
    object[]
  • workflow_status
    string
  • custom_status
    object
  • download_all_attachments_uuid
    string
  • custom_fields
    object
DELETE /rest/v1.1/punch_items/{id}

Delete Punch Item

v1.1Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • id
    integerpathrequired
  • project_id
    integerqueryrequired

Response · 200

No response body.

POST /rest/v1.1/punch_items/{id}/send_email

Send Punch Item Email

v1.1Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • id
    integerpathrequired

Request body

  • subject
    string
  • body
    string
  • distribution_ids
    integer[]
  • cc_distribution_ids
    integer[]
  • bcc_distribution_ids
    integer[]

Response · 200 · any

No documented fields.

POST /rest/v1.1/punch_items/add_punch_item_attachments

Add Attachments to Punch Item

v1.1Documented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • id
    integerqueryrequired
  • project_id
    integerqueryrequired

Request body

  • attachments
    string[]

Response · 200 · object

  • id
    integer
  • name
    string
  • url
    string
  • filename
    string
GET /rest/v1.1/punch_items/recycle_bin

List Deleted Punch Items

v1.1Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerqueryrequired
  • filters[category_id]
    string[]query
  • sort
    stringquery

Response · 200 · object

  • id
    integer
  • ball_in_court
    object[]
  • closed_at
    string (date-time)
  • cost_impact
    string
  • cost_impact_amount
    string
  • created_at
    string (date-time)
  • deleted_at
    string (date-time)
  • due_date
    string (date)
  • name
    string
  • reference
    string
  • schedule_impact
    string
  • schedule_impact_days
    integer
  • schedule_risk
    string
  • schedule_risk_reason
    string
  • schedule_risk_confidence
    integer
  • schedule_risk_probability
    integer
  • position
    integer
  • priority
    string
  • private
    boolean
  • status
    string
  • has_resolved_responses
    boolean
  • has_unresolved_responses
    boolean
  • updated_at
    string (date-time)
  • location
    object
  • trade
    object
  • created_by
    object
  • closed_by
    object
  • punch_item_manager
    object
  • final_approver
    object
  • punch_item_type
    object
  • category
    object
  • cost_code
    object
  • assignments
    object[]
  • assignees
    object[]
  • workflow_status
    string
  • custom_status_id
    integer
  • custom_status
    object
  • custom_fields
    object
POST /rest/v1.1/punch_items/send_all_unsent

Send All Unsent Punch Item Emails

v1.1Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • project_id
    integerqueryrequired

Request body

  • punch_ids
    integer[]
  • recipient
    string

Response · 200 · any

No documented fields.

POST /rest/v1.1/punch_items/send_unsent

Send unsent Punch Items

v1.1Implemented

Parameters

  • OS-Company-Id
    integerheaderrequired

Request body

  • project_id
    integerrequired

Response · 200

No response body.

GET /rest/v2.0/companies/{company_id}/projects/{project_id}/punch_list/assignee_companies

List Punch Item Assignee Company Filter Options

v2.0Documented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • company_id
    stringpathrequired
  • project_id
    stringpathrequired
  • page
    integerquery
  • per_page
    integerquery
  • query
    stringquery
  • view
    stringquery

Response · 200 · object

  • data
    object[]
GET /rest/v2.0/companies/{company_id}/projects/{project_id}/punch_list/assignees

List Punch Item Assignee Filter Options

v2.0Documented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • company_id
    stringpathrequired
  • project_id
    stringpathrequired
  • page
    integerquery
  • per_page
    integerquery
  • query
    stringquery
  • view
    stringquery

Response · 200 · object

  • data
    object[]
GET /rest/v2.0/companies/{company_id}/projects/{project_id}/punch_list/ball_in_court

List Punch Item Ball In Court Filter Options

v2.0Documented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • company_id
    stringpathrequired
  • project_id
    stringpathrequired
  • page
    integerquery
  • per_page
    integerquery
  • query
    stringquery

Response · 200 · object

  • data
    object[]
GET /rest/v2.0/companies/{company_id}/projects/{project_id}/punch_list/categories

List Punch Item Category Filter Options

v2.0Documented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • company_id
    stringpathrequired
  • project_id
    stringpathrequired
  • page
    integerquery
  • per_page
    integerquery
  • query
    stringquery

Response · 200 · object

  • data
    object[]
GET /rest/v2.0/companies/{company_id}/projects/{project_id}/punch_list/closed_by_contacts

List Punch Item Closed By Contact Filter Options

v2.0Documented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • company_id
    stringpathrequired
  • project_id
    stringpathrequired
  • page
    integerquery
  • per_page
    integerquery
  • query
    stringquery

Response · 200 · object

  • data
    object[]
GET /rest/v2.0/companies/{company_id}/projects/{project_id}/punch_list/creators

List Punch Item Creator Filter Options

v2.0Documented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • company_id
    stringpathrequired
  • project_id
    stringpathrequired
  • page
    integerquery
  • per_page
    integerquery
  • query
    stringquery

Response · 200 · object

  • data
    object[]
GET /rest/v2.0/companies/{company_id}/projects/{project_id}/punch_list/final_approvers

List Punch Item Final Approver Filter Options

v2.0Documented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • company_id
    stringpathrequired
  • project_id
    stringpathrequired
  • page
    integerquery
  • per_page
    integerquery
  • query
    stringquery

Response · 200 · object

  • data
    object[]
GET /rest/v2.0/companies/{company_id}/projects/{project_id}/punch_list/locations

List Punch Item Location Filter Options

v2.0Documented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • company_id
    stringpathrequired
  • project_id
    stringpathrequired
  • page
    integerquery
  • per_page
    integerquery
  • query
    stringquery

Response · 200 · object

  • data
    object[]
GET /rest/v2.0/companies/{company_id}/projects/{project_id}/punch_list/punch_item_managers

List Punch Item Manager Filter Options

v2.0Documented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • company_id
    stringpathrequired
  • project_id
    stringpathrequired
  • page
    integerquery
  • per_page
    integerquery
  • query
    stringquery

Response · 200 · object

  • data
    object[]
GET /rest/v2.0/companies/{company_id}/projects/{project_id}/punch_list/trades

List Punch Item Trade Filter Options

v2.0Documented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • company_id
    stringpathrequired
  • project_id
    stringpathrequired
  • page
    integerquery
  • per_page
    integerquery
  • query
    stringquery

Response · 200 · object

  • data
    object[]
GET /rest/v2.0/companies/{company_id}/projects/{project_id}/punch_list/types

List Punch Item Type Filter Options

v2.0Documented

Parameters

  • OS-Company-Id
    integerheaderrequired
  • company_id
    stringpathrequired
  • project_id
    stringpathrequired
  • page
    integerquery
  • per_page
    integerquery
  • query
    stringquery

Response · 200 · object

  • data
    object[]

Ask the OS

Reading this page

Ask anything about this page. Answers use what you're reading as context.

Suggested

    AI · may be imperfect · sample data where shown

    Open file